org.apache.lucene.queries.function.valuesource

## Class IDFValueSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.DocFreqValueSource
    - - org.apache.lucene.queries.function.valuesource.IDFValueSource

    public class IDFValueSource
    extends DocFreqValueSource

Function that returns `#idf(long, long)` for every document.

Note that the configured Similarity for the field must be a subclass of `TFIDFSimilarity`

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Field Summary

### Fields inherited from class org.apache.lucene.queries.function.valuesource.DocFreqValueSource

`field, indexedBytes, indexedField, val`

### Constructor Summary

Constructors
Constructor and Description
`IDFValueSource(String field, String val, String indexedField, BytesRef indexedBytes)`

### Method Summary

Methods
`FunctionValues` `getValues(Map context, AtomicReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight()
`String` `name()`

### Methods inherited from class org.apache.lucene.queries.function.valuesource.DocFreqValueSource

`createWeight, description, equals, hashCode`

### Methods inherited from class org.apache.lucene.queries.function.ValueSource

`getSortField, newContext, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IDFValueSource

    public IDFValueSource(String field,
                  String val,
                  String indexedField,
                  BytesRef indexedBytes)

### Method Detail

#### name

    public String name()

Overrides:
  `name` in class `DocFreqValueSource`

#### getValues

    public FunctionValues getValues(Map context,
                           AtomicReaderContext readerContext)
                             throws IOException

Description copied from class: `ValueSource`
Gets the values for this reader and the context that was previously passed to createWeight()

Overrides:
  `getValues` in class `DocFreqValueSource`
Throws:
  `IOException`